# AABBi Class Reference

`#include <AABB.h>`

List of all members.

## Public Member Functions
| AABBi ()
| AABBi (int L, int R, int T, int B)
Vector2i | GetCentre ()
AABBi & | operator= (const AABBi &box)
## Static Public Member Functions
static bool | AABBvsCircleCollisionTest (const AABBi &box, const Vector2i &circlePos, const int &circleRadius, Vector2i &closestPoint)
static bool | AABBvsAABBCollisionTest (const AABBi &boxA, const AABBi &boxB)
static eAABBSideQueryResult | GetSideFromClosestPoint (const AABBi &box, const Vector2i &point, Vector2i *pSidePointA=0, Vector2i *pSidePointB=0)
## Public Attributes
int | Left
int | Right
int | Top
int | Bottom

## Detailed Description

Definition at line 46 of file AABB.h.

## Constructor & Destructor Documentation

AABBi::AABBi | ( |  | ) | `[inline]`

Definition at line 49 of file AABB.h.

AABBi::AABBi | ( | int | L,
|  | int | R,
|  | int | T,
|  | int | B |
| ) |  |  | `[inline]`

Definition at line 54 of file AABB.h.

## Member Function Documentation

bool AABBi::AABBvsAABBCollisionTest | ( | const AABBi & | boxA,
|  | const AABBi & | boxB |
| ) |  |  | `[static]`

Definition at line 23 of file AABB.cpp.

bool AABBi::AABBvsCircleCollisionTest | ( | const AABBi & | box,
|  | const Vector2i & | circlePos,
|  | const int & | circleRadius,
|  | Vector2i & | closestPoint |
| ) |  |  | `[static]`

Definition at line 3 of file AABB.cpp.

Vector2i AABBi::GetCentre | ( |  | ) | `[inline]`

Definition at line 59 of file AABB.h.

eAABBSideQueryResult AABBi::GetSideFromClosestPoint | ( | const AABBi & | box,
|  | const Vector2i & | point,
|  | Vector2i * | pSidePointA = `0`,
|  | Vector2i * | pSidePointB = `0` |
| ) |  |  | `[static]`

Definition at line 37 of file AABB.cpp.

AABBi& AABBi::operator= | ( | const AABBi & | box | ) | `[inline]`

Definition at line 68 of file AABB.h.

## Member Data Documentation

int AABBi::Bottom

Definition at line 78 of file AABB.h.

int AABBi::Left

Definition at line 78 of file AABB.h.

int AABBi::Right

Definition at line 78 of file AABB.h.

int AABBi::Top

Definition at line 78 of file AABB.h.

The documentation for this class was generated from the following files:

- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/AABB.h
- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/AABB.cpp